itlists

Members
  • Posts

    96
  • Joined

  • Last visited

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

itlists's Achievements

Apprentice

Apprentice (3/14)

0

Reputation

  1. Just did another update today and still the same error on login page... haven't changed anything. config.php has correct settings for db
  2. Disabling the CF proxy defeats the purpose of the service Is there a way to force a renewal? If possible to force a renewal, then I could disable the cloudflare proxy temporarily and push the LE renewal.
  3. Here's the log file attached Seems to be an issue with how the proxy feature of cloudflare works. Need to disable that to get the LE challenge to complete. Once that's done, re-enabling the cloudflare proxy and all is good.
  4. Hi, I'm trying to create a new proxy host but keep getting the error below. I've created the CNAME record already for my domain. I have created three other proxy hosts in the past, maybe about 6-9 months ago and this is the first new one since. [11/1/2020] [9:52:45 AM] [Nginx ] › ℹ info Reloading Nginx [11/1/2020] [9:52:45 AM] [SSL ] › ℹ info Requesting Let'sEncrypt certificates for Cert #28: recipes.customdomain.com [11/1/2020] [9:52:50 AM] [Nginx ] › ℹ info Reloading Nginx [11/1/2020] [9:52:50 AM] [Express ] › ⚠ warning Command failed: /usr/bin/certbot certonly --non-interactive --config "/etc/letsencrypt.ini" --cert-name "npm-28" --agree-tos --email "email@customdomain.com" --preferred-challenges "dns,http" --domains "recipes.customdomain.com" Saving debug log to /var/log/letsencrypt/letsencrypt.log Plugins selected: Authenticator webroot, Installer None Obtaining a new certificate Performing the following challenges: http-01 challenge for recipes.customdomain.com Using the webroot path /config/letsencrypt-acme-challenge for all unmatched domains. Waiting for verification... Challenge failed for domain recipes.customdomain.com http-01 challenge for recipes.customdomain.com Cleaning up challenges Some challenges have failed.
  5. I checked and the settings are correct. I didn't make any changes to DB or config, only did the container upgrade. In the meantime, is there a way to extract the feeds from console / cli?
  6. The grant statement is correct. Looks like it needs the DB root/admin account credentials. Will try with that next Using the root credentials worked. I can login to recipes docker now. However, in System settings, the database warning still shows up: Database Info This application is not running with a Postgres database backend. This is ok but not recommended as some features only work with postgres databases. This is setup to use postgres, so why?
  7. Start up log: Updating database Operations to perform: Apply all migrations: admin, auth, authtoken, contenttypes, cookbook, sessions Running migrations: Traceback (most recent call last): File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute return self.cursor.execute(sql, params) psycopg2.errors.InsufficientPrivilege: permission denied to create extension "pg_trgm" HINT: Must be superuser to create this extension. The above exception was the direct cause of the following exception: Traceback (most recent call last): File "manage.py", line 15, in <module> execute_from_command_line(sys.argv) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/__init__.py", line 401, in execute_from_command_line utility.execute() File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/__init__.py", line 395, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/base.py", line 330, in run_from_argv self.execute(*args, **cmd_options) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/base.py", line 371, in execute output = self.handle(*args, **options) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/base.py", line 85, in wrapped res = handle_func(*args, **kwargs) File "/opt/recipes/venv/lib/python3.8/site-packages/django/core/management/commands/migrate.py", line 243, in handle post_migrate_state = executor.migrate( File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/executor.py", line 117, in migrate state = self._migrate_all_forwards(state, plan, full_plan, fake=fake, fake_initial=fake_initial) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/executor.py", line 147, in _migrate_all_forwards state = self.apply_migration(state, migration, fake=fake, fake_initial=fake_initial) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/executor.py", line 227, in apply_migration state = migration.apply(state, schema_editor) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/migrations/migration.py", line 124, in apply operation.database_forwards(self.app_label, schema_editor, old_state, project_state) File "/opt/recipes/venv/lib/python3.8/site-packages/django/contrib/postgres/operations.py", line 24, in database_forwards schema_editor.execute("CREATE EXTENSION IF NOT EXISTS %s" % schema_editor.quote_name(self.name)) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/base/schema.py", line 142, in execute cursor.execute(sql, params) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 66, in execute return self._execute_with_wrappers(sql, params, many=False, executor=self._execute) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers return executor(sql, params, many, context) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute return self.cursor.execute(sql, params) File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__ raise dj_exc_value.with_traceback(traceback) from exc_value File "/opt/recipes/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute return self.cursor.execute(sql, params) django.db.utils.ProgrammingError: permission denied to create extension "pg_trgm" HINT: Must be superuser to create this extension. Applying cookbook.0003_enable_pgtrm... 0 static files copied to '/opt/recipes/staticfiles', 675 unmodified, 1300 post-processed. Done [2020-10-28 20:16:53 +0000] [1] [INFO] Starting gunicorn 20.0.4 [2020-10-28 20:16:53 +0000] [1] [INFO] Listening at: http://0.0.0.0:8080 (1) [2020-10-28 20:16:53 +0000] [1] [INFO] Using worker: sync [2020-10-28 20:16:53 +0000] [12] [INFO] Booting worker with pid: 12
  8. Got this installed with PostgreSQL container as well. However, when connecting to the webui, I get Server Error (500) on http://192.168.x.x:8154/setup/ I see that the tables have been created in db.
  9. Thanks for the instructions! How do I choose :13 during the install?
  10. Thanks for the reply. I'm not too handy with DB commands. Is there a particular postgresql docker and a DB management docker you recommend to setup the user and DB in postgresql?
  11. Thanks for this!! Can MariaDB be used instead of postgreSQL?
  12. Just updated tt-rss and now the login page shows this error: Your access level is insufficient to run this script. Also, the URL automatically redirects from https://rss.mydomain.com to https://rss.mydomain.net/public.php?op=dbupdate My user account doesn't work and neither does the default admin/password that tt-rss has at first run. Both give the same error above.
  13. I have a few proxy hosts setup and working fine with Lets Encrypt certs for a few months. Tried creating a new proxy host today and keep getting "Internal Error" in GUI. Log is pasted below [8/28/2020] [9:04:14 PM] [SSL ] › ℹ info Requesting Let'sEncrypt certificates for Cert #15: grocy.domain.com [8/28/2020] [9:04:16 PM] [Nginx ] › ℹ info Reloading Nginx [8/28/2020] [9:04:16 PM] [Express ] › ⚠ warning Command failed: /usr/bin/certbot certonly --non-interactive --config "/etc/letsencrypt.ini" --cert-name "npm-15" --agree-tos --email "email@address.com" --preferred-challenges "dns,http" --webroot --domains "grocy.domain.com" Saving debug log to /config/log/letsencrypt/letsencrypt.log Plugins selected: Authenticator webroot, Installer None Obtaining a new certificate Performing the following challenges: http-01 challenge for grocy.domain.com Using the webroot path /data/letsencrypt-acme-challenge for all unmatched domains. Waiting for verification... Cleaning up challenges Failed authorization procedure. grocy.domain.com (http-01): urn:ietf:params:acme:error:unauthorized :: The client lacks sufficient authorization :: Invalid response from https://grocy.domain.com/.well-known/acme-challenge/-e-long-string-of-characters-4 [2606:4700:3037::681c:12a2]: "<!DOCTYPE html>\n<!--[if lt IE 7]> <html class=\"no-js ie6 oldie\" lang=\"en-US\"> <![endif]-->\n<!--[if IE 7]> <html class=\"no-js "
  14. Thanks. Any workaround for this other than clearing unRaid cache?